jv.rsrc

## Class PsGeometryInfo

- java.lang.Object
- - jv.object.PsObject
  - - jv.rsrc.PsGeometryInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public final class PsGeometryInfo
      extends PsObject

  Full description of geometry used in resource files.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    19.04.03, 2.60 revised (kp) Handling of HTML tags in detail section controllable.
    19.03.03, 2.50 revised (kp) Implementation continued.
    20.06.01, 2.00 revised (kp) Moved from package jv.rsrc to jvx.rsrc.
    12.02.01, 1.10 revised (kp) Convert secondary classification into array of strings.
    09.01.01, 1.00 created (kp) Extracted from PsModelInfo.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsGeometryInfo()` Textual information about a geometry including literature references.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Duplicate object by recursively cloning all instance variables except inspector panels and lists of registered listeners.
    `void` | `copy(PsObject object)` Copy object by recursively copying all instance variables except inspector panels and lists of registered listeners.
    `java.lang.String` | `getAbstract()`
    `java.lang.String` | `getDetail()`
    `java.lang.String[]` | `getKeywords()`
    `java.lang.String` | `getPrimary()`
    `java.lang.String[]` | `getSecondaries()`
    `java.lang.String` | `getSoftware()`
    `PsXmlNode` | `getXmlNode()` Fills an XML tree with data from this instance, for example, to print to file.
    `java.lang.String` | `getZentralblatt()`
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `boolean` | `isDetailTextOnly()`
    `void` | `setAbstract(java.lang.String abstr)`
    `void` | `setDetail(java.lang.String detail)`
    `void` | `setDetailTextOnly(boolean flag)`
    `void` | `setKeywords(java.lang.String[] keywords)`
    `void` | `setPrimary(java.lang.String primary)`
    `void` | `setSecondaries(java.lang.String[] secondary)`
    `void` | `setSoftware(java.lang.String software)`
    `void` | `setXmlNode(PsXmlNode description, PsXmlNode classification)` Fill this instance with data from an XML source, for example, previously read from file.
    `void` | `setZentralblatt(java.lang.String zentralblatt)`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PsGeometryInfo

          public PsGeometryInfo()

      Textual information about a geometry including literature references.

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PsObject`

    - #### copy

          public void copy(PsObject object)

      Copy object by recursively copying all instance variables except inspector panels and lists of registered listeners.
      Overrides:
        `copy` in class `PsObject`
      Since:
        JavaView 2.60.004
      See Also:
        `PsObject.clone()`
      Version:
        19.03.03, 1.00 created (kp)

    - #### clone

          public java.lang.Object clone()

      Duplicate object by recursively cloning all instance variables except inspector panels and lists of registered listeners.
      Overrides:
        `clone` in class `PsObject`
      See Also:
        `PsObject.copy(PsObject)`
      Version:
        09.01.01, 1.00 revised (kp)
        09.01.01, 1.00 created (kp)

    - #### getAbstract

          public java.lang.String getAbstract()

    - #### getDetail

          public java.lang.String getDetail()

    - #### isDetailTextOnly

          public boolean isDetailTextOnly()

    - #### getPrimary

          public java.lang.String getPrimary()

    - #### getSecondaries

          public java.lang.String[] getSecondaries()

    - #### getKeywords

          public java.lang.String[] getKeywords()

    - #### getZentralblatt

          public java.lang.String getZentralblatt()

    - #### getSoftware

          public java.lang.String getSoftware()

    - #### setAbstract

          public void setAbstract(java.lang.String abstr)

    - #### setDetail

          public void setDetail(java.lang.String detail)

    - #### setDetailTextOnly

          public void setDetailTextOnly(boolean flag)

    - #### setPrimary

          public void setPrimary(java.lang.String primary)

    - #### setSecondaries

          public void setSecondaries(java.lang.String[] secondary)

    - #### setKeywords

          public void setKeywords(java.lang.String[] keywords)

    - #### setZentralblatt

          public void setZentralblatt(java.lang.String zentralblatt)

    - #### setSoftware

          public void setSoftware(java.lang.String software)

    - #### getXmlNode

          public PsXmlNode getXmlNode()

      Fills an XML tree with data from this instance, for example, to print to file.
      Returns:
        XML tree filled with data from this instance.
      Version:
        10.06.02, 1.50revised (kp) Ensure that a keyword entry appears in XML as required by the DTD.

    - #### setXmlNode

          public void setXmlNode(PsXmlNode description,
                                 PsXmlNode classification)

      Fill this instance with data from an XML source, for example, previously read from file. At first, this method resets the data structure by calling `init()`.
      Parameters:
        `description` - XML node filled with descriptive geometry information.
        `classification` - XML node filled with classification information.
      Version:
        08.01.01, 2.00 revised (kp) Implemented version 2.0 of eg-model.dtd.
        11.02.00, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"